Bug 476310 - Review Request: pyifp - Python Bindings for libifp
Review Request: pyifp - Python Bindings for libifp
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 476313
  Show dependency treegraph
 
Reported: 2008-12-12 18:36 EST by Conrad Meyer
Modified: 2009-03-18 02:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-18 02:02:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Conrad Meyer 2008-12-12 18:36:40 EST
Spec URL: http://konradm.fedorapeople.org/fedora/SPECS/pyifp.spec
SRPM URL: http://konradm.fedorapeople.org/fedora/SRPMS/pyifp-0.2.2-1.fc9.src.rpm
Description:
The pyifp module is a wrapper around libifp designed to make it easy
to write python based programs to manage the iFP class of devices.
Comment 1 Conrad Meyer 2008-12-12 19:12:46 EST
Koji scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=995912
Comment 2 Jason Tibbitts 2009-03-10 00:28:03 EDT
This one builds cleanly and rpmlint is quiet.  Not sure why I'm the first person to look at it.

Could the %description perhaps grow some description of what "iFP" is?  It's not a big deal, but it would have been nice to not have had to look it up.

I haven't the hardware to test this, but nobody else with hardware has shown up to review it, so....

* source files match upstream.  sha256sum:
   df283d037ee206ede1de7e058022a7cd13d55c4d935323c3ae3af923b39f8ff3  
   pyifp-0.2.2.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
X description could use a bit of elucidation.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   _ifp_core.so()(64bit)
   _usb_core.so()(64bit)
   pyifp = 0.2.2-1.fc11
   pyifp(x86-64) = 0.2.2-1.fc11
  =
   /usr/bin/python
   libifp.so.4()(64bit)
   libpython2.6.so.1.0()(64bit)
   libusb-0.1.so.4()(64bit)
   python(abi) = 2.6

* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

APPROVED
Comment 3 Conrad Meyer 2009-03-13 02:27:00 EDT
Thanks! I added more to the description locally.

New Package CVS Request
=======================
Package Name: pyifp
Short Description: Python Bindings for libifp
Owners: konradm
Branches: F-10
InitialCC:
Comment 4 Kevin Fenzi 2009-03-15 22:08:35 EDT
cvs done.
Comment 5 Conrad Meyer 2009-03-18 02:02:13 EDT
Built in koji.

http://koji.fedoraproject.org/koji/taskinfo?taskID=1247320

Note You need to log in before you can comment on or make changes to this bug.